Subject: [bug#29392] [PATCH 00/11] Add scons build system

From: Leo Famulari <[email-masked]>
Date: Wed, 29 Nov 2017 16:29:27 -0500

On Wed, Nov 29, 2017 at 01:49:56PM +0530, Arun Isaac wrote:
> Leo Famulari <[email-masked]> writes:
> 
> >> For mongodb, I have passed "-g0" to scons using "CXXFLAGS=-g0". Now, the build
> >> seems to progress farther, but I still run out of memory. Could you test the
> >> package on your machine?
> >
> > I let the build directory grow to 22 GiB before cancelling the build
> > (it's using lots of storage, but not much RAM). It worked previously,
> > both before I tested your scons-build-system and using the previous
> > revision of these patches. So, I think it doesn't matter whether or not
> > we pass -g0.
> 
> So, do I push with the "-g0" flag or without?

Since it didn't seem to have an effect on the storage requirements
during building, I think you can push without.